:root {
  font-size: 100%;
  line-height: 1.4;

  /* Schriftgrössen */
  --fs-mikro: 0.625rem; /* 10px */
  --fs-mini: 0.75rem;   /* 12px */
  --fs-norm: 1rem;      /* 16px */
  --fs-midi: 1.25rem;   /* 20px */
  --fs-maxi: 1.5rem;    /* 24px */
  --fs-supi: 2.5rem;    /* 40px */
}

/* Links */
.unstyled-link {
  text-decoration: unset;
  color: unset;
}

.rss-feed-link { /* aside tag on course page*/
  margin-top: 2rem;
  background: black;
  display: inline-block;
  padding: 0.125rem 0.5rem 0.25rem;
  border-radius: 0.5rem;
  transition: transform 0.3s;
}

.rss-feed-link:hover {
  background: blue;
  transform: scale(1.2) translate(-0.15rem, -0.2rem);
  box-shadow: gray 0.15rem 0.125rem 0.25rem;
}

.rss-feed-link a {
  text-decoration: unset;
  color: white;
}
/* End Links */

/* Lists */
.unstyled-list {
  list-style: none;
  padding: 0; 
}
/* End Lists */

/* Navigation */
nav .page-navigation {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  margin: 0;
}

nav .page-navigation li {
  margin-right: 1rem;
  text-transform: capitalize;
}

nav .page-navigation li a:hover {
  text-decoration: underline;
}

nav .page-navigation li a.nav-active {
  text-decoration: underline;
}
/* End Navigation */


/* Language Switch */
nav .language-switch {
  position: absolute;
  display: inline-block;
  transform: rotate(-12deg) translate(-1rem, -2rem);
  top: 0;
  right: 0;
  list-style: none;
  padding: 0;
  margin: 0;
}
nav .language-switch li {
  font-size: var(--fs-mini);
  margin-bottom: 0.75rem;
  background: #999;
  margin-bottom: 0.25rem;
  padding: 0.125rem 0.5rem 0.25rem;
  border-radius: 0.5rem;
  transition: transform 0.3s 0.2s;
  transform: scale(0.9);
}
nav .language-switch li.active {
  background: palegreen;
  transform: scale(1.2);
  box-shadow: gray 0.15rem 0.125rem 0.25rem;
}

nav .language-switch li:not(.active):hover {
  /* transform: scale(1.1); */
}

nav .language-switch a {
  text-decoration: none;
  color: white;
}

nav .language-switch li.active a {
  color: black;
}

/* end Language Switch */

/* Typography global settings */

body {
  /* should have ordinal number support (1st, 2nd) */
  font-family: 'Token Sans', sans-serif;
}

h1 {
  /* font-family: abordage, sans-serif; */
}

h2, h3 {
  /* font-family: times, latitude, sans-serif; */
}

h1, h2, h3, h4, h5, h6, th, strong { font-weight: 700; }
h1 { font-size: var(--fs-supi); }
h2 { font-size: var(--fs-maxi); }
h3 { font-size: var(--fs-midi); }
h4 { font-size: var(--fs-norm); }
h5 {
  font-size: var(--fs-norm);
  font-style: italic;
}
p, li, label, input, select, input[type="checkbox"], fieldset legend, textarea, td, th { font-size: var(--fs-norm); }
small { font-size: var(--fs-mini); }
input[type="checkbox"],
input[type="radio"] {
  width: var(--fs-mini);
  height: var(--fs-mini);
}

h1, h5, h6, p, ul, ol, aside, form, table, figure { margin-bottom: 1rem; }

ul, ol {
  margin-top: -0.25rem;
  padding-left: 2rem;
}

h2 { margin-bottom: 2rem; }
h3 { margin-top: 2rem; margin-bottom: 1rem; }

span.emoji {
  display: inline-block;
  transform: scale(0.9);
}

pre {
  font-family: Consolas, 'Courier New', monospace;
  font-size: var(--fs-norm);
  line-height: 1.6;
  background: #f4f4f4;
  border-left: 3px solid #999;
  padding: 0.75rem 1rem;
  overflow-x: auto;
}

h5 { font-style: normal; }

i, em {
  font-weight: 600;
}

/* End Typography */

/* Layout */
body {
  padding: 0.5rem;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

img { width: 100%; }
figure.twint-button { max-width: 250px; }

#spring-tournament #players-table {
  border: none;
}

header { margin: 2rem 0; position: relative;}
main { margin-bottom: 2rem; }
footer {
  /* border: 1px solid violet; */
  margin: auto 0 1rem; /* auto = flex-end */
}

main {
  /* border: 1px solid palegreen; */
}

main section,
main article.news-item {
  /* border: 1px solid tomato; */
  margin-bottom: 3rem;
}

main article.news-item h3 {
  margin: 0.5rem 0;
}

/* timetable, players-table */

#players-table {
  /* border-spacing: 0.125rem; */
  table-layout: fixed;
  border: 1px solid gray;
  text-transform: capitalize;
}

#players-table th, #players-table td {
  text-align: left;
  padding: 0.5rem 0.25rem;
}

#players-table tbody tr:nth-child(odd) {
  background-color: #eee;
}

#players-table thead th:nth-child(1) {
  width: 20%;
}

#players-table thead th:nth-child(2) {
  width: 15%;
}

#players-table thead th:nth-child(3) {
  width: 20%;
}

/* Tournament Timetable Grid */
#timetable {
  display: grid;
  gap: 0.25rem 0.5rem;
  grid-template-columns: repeat(4, max-content);
}
#timetable h4, #timetable p { margin: 0; }
#timetable h4 { grid-row: 1; }
#timetable .day-1 { grid-column: 1/3; }
#timetable .day-2 { grid-column: 3/5;}
#timetable .row-1 { grid-row: 1;}
#timetable .row-2 { grid-row: 2;}
#timetable .row-3 { grid-row: 3;}
#timetable .row-4 { grid-row: 4;}
#timetable .row-5 { grid-row: 5;}
#timetable p {
  display: grid;
  grid-template-columns: subgrid;
}
#timetable p span:nth-child(1),
#timetable p span:nth-child(3) { text-align: right; }
#timetable p span:nth-child(2),
#timetable p span:nth-child(4) { font-variant-numeric: ordinal; }

#club-tournament #pairing-table {
  border: none;
  table-layout: fixed;
  text-transform: capitalize;
  margin: 1rem auto;
  text-align: center;
}

#club-tournament #pairing-table td {
  border: 1px solid black;
  padding: 0.5rem;
  line-height: 1;
}
#club-tournament #pairing-table td.empty {
  background: #eee;
}
#club-tournament #pairing-table td.invisible {
  border: none;
}
#club-tournament #pairing-table td p.pairing {
  font-size: var(--fs-mikro);
}

#club-tournament #pairing-table th {
  font-size: var(--fs-mini)
}

#club-tournament #pairing-table th.column-head {
  padding-right: 0.5rem;
  text-align: center;
}

#club-tournament #pairing-table th.row-head {
  padding-right: 0.5rem;
  text-align: right;
  vertical-align: middle;
}

#club-tournament #pairing-table-legend,
#club-tournament #pairing-table-legend ul {
  display: flex;
  align-items: baseline;
}

#club-tournament #pairing-table-legend ul {
  list-style: none;
  padding: 0;
}

#club-tournament #pairing-table-legend h4,
#club-tournament #pairing-table-legend ul li,
#club-tournament #pairing-table-legend ul li {
  font-size: var(--fs-mini);
}
#club-tournament #pairing-table-legend ul li {
  margin-left: 0.5rem;
}

#club-tournament .result-form-toggle {
  cursor: pointer;
  display: inline-block;
  border: 1px solid black;
  background-color: white;
  font-size: var(--fs-mikro);
  line-height: 1;
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  text-align: center;
  margin-bottom: 0.5rem;
}

/* Rank */
#club-tournament #players-table th:nth-child(2),
#players-table td:nth-child(2) { /* Rank */
  text-align: left;
  padding-right: 2rem;
}

/* Club */
#club-tournament #players-table th:nth-child(3),
#players-table td:nth-child(3) { /* Points */
  text-align: left;
  padding-right: 2rem;
}

#tournament-info .tournament-image-row {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 1rem 0 2rem;
}

#tournament-info .tournament-image-row figure {
  margin: 0;
}

#tournament-info .tournament-image-row img {
  display: block;
  width: 100%;
  height: auto;
}

/* End Layout */

/* Forms */

section.form-element {
  margin-bottom: 1.5rem;
}

label {
  display: block;
  margin-bottom: 0.25rem;
}

fieldset .radio-buttons {
  display: flex;
  margin-top: 0.5rem;
}

fieldset .radio-buttons label {
  display: inline;
  padding-right: 1rem;
}

fieldset legend {
  line-height: 1.4; /* wtf? */
}

.success {
  background: palegreen;
  padding: 0.5rem;
}

.alert {
  background: pink;
  padding: 0.5rem;
}
.honey {
  position: absolute;
  left: -9999px;
}

/* Club Tournament Result Form */

#club-tournament form.submit-result.hidden {
  display: none;
}

#club-tournament form.submit-result {
  position: fixed;
  z-index: 12;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background: white;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#club-tournament form.submit-result .cancel-button {
  position: absolute;
  top: 1rem;
  right: 1rem;

}
#club-tournament form.submit-result h4,
#club-tournament form.submit-result label,
#club-tournament form.submit-result legend,
#club-tournament form.submit-result button,
#club-tournament form.submit-result select,
#club-tournament form.submit-result input[type=submit] {
  font-size: var(--fs-mini);
  text-transform: none;
}

#club-tournament form.submit-result h4 {
  margin-bottom: var(--fs-midi);
}

#club-tournament form.submit-result .radio-button-container {
  display: flex;
  flex-direction: row;
  align-items: baseline;
  margin: var(--fs-mikro);
}

#club-tournament form.submit-result fieldset {
  border: 1px solid black;
  padding: calc(var(--fs-norm)/8) calc(var(--fs-norm)/2);
}
#club-tournament form.submit-result legend {
  border: 1px solid black;
  padding: calc(var(--fs-norm)/8) calc(var(--fs-norm)/2) calc(var(--fs-norm)/8);
}

#club-tournament form.submit-result input[type=radio] {
  margin-left: 0;
  margin-right: 0.25rem;
}

#club-tournament form.submit-result .radio-button-label {
  transform: translateY(-0.125rem);
  margin: 0;
}

/* End Club Tournament Result Form */

/* End Forms */

/* Debug Stuff */
.template-marker {
  display: inline-block;
  position: fixed;
  bottom: 1rem;
  right: 1rem;
  background: papayawhip;
  border: 1px solid hotpink;
  border-radius: 0.25rem;
  padding: 0.25rem 0.5rem;
  transform: rotate(-4deg);
  font-size: 0.875rem;
  box-shadow: black 0.15rem 0.125rem 0.25rem;
}
/* End Debug Stuff */

/* Desktop Styles */

@media (min-width: 700px) {
  :root {

    /* Schriftgrössen Faktor 1.5 */
    --fs-mikro: 1rem;    /* 16px */
    --fs-mini: 1.125rem; /* 18px */
    --fs-norm: 1.5rem;   /* 24px */
    --fs-midi: 1.875rem; /* 30px */
    --fs-maxi: 2.25rem;  /* 26px */
    --fs-supi: 3.75rem;  /* 60px */
  }

  /* Layout */
  body {
    align-items: center;

  }
  header, main, footer {
    width: 100%;
    max-width: 800px;
  }
  nav .language-switch {
    transform: rotate(-12deg) translate(-11rem, -4rem);
  }

  #tournament-info .tournament-image-row {
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
  }

  #tournament-info .tournament-image-row figure {
    width: auto;
  }

  #tournament-info .tournament-image-row img {
    width: auto;
    height: 18rem;
    max-width: 100%;
  }

}
